{
  # Hostname
  networking.hostName = "moonshadow";

  # NetworkManager
  networking.networkmanager.enable = true;

  # firewall config
  networking.firewall = {
    enable = true;
    allowPing = true;
    allowedTCPPorts = [22];
  };

  networking.hosts = {
    "10.0.0.191" = ["nexus.local"];
    "10.0.0.27" = ["logs.local"];
    "10.0.0.159" = ["truenas.local"];
    "10.0.0.28" = ["evergloam.local"];
    "10.0.0.223" = ["soft-serve.local"];
  };

  # mullvad-vpn
  services.mullvad-vpn.enable = true;
}
