{
  networking.hostId = "d3c87a8b";

  services.znapzend = {
    enable = true;
    autoCreation = true;
    zetup."rpool/nixos" = {
      enable = true;
      plan = "1y=>1d";
      recursive = false;
      destinations.remote = {
        host = "root@truenas.local";
        dataset = "nas/moonshadow";
      };
    };
  };

  services.zfs.autoScrub.enable = true;

  services.sanoid = {
    enable = true;
    datasets.rpool = {
      hourly = 24;
      daily = 7;
      weekly = 4;
      monthly = 12;
      recursive = true;
    };
  };
}
